package com.koobietech.eas.mbg.mapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.koobietech.eas.mbg.model.EasEduCategory;
import com.koobietech.eas.mbg.model.EasEduCategoryExample;
import io.swagger.v3.oas.annotations.media.Schema;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface EasEduCategoryMapper {
    long countByExample(EasEduCategoryExample example);

    int deleteByExample(EasEduCategoryExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(EasEduCategory record);

    int insertSelective(EasEduCategory record);

    List<EasEduCategory> selectByExample(EasEduCategoryExample example);

    EasEduCategory selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") EasEduCategory record, @Param("example") EasEduCategoryExample example);

    int updateByExample(@Param("record") EasEduCategory record, @Param("example") EasEduCategoryExample example);

    int updateByPrimaryKeySelective(EasEduCategory record);

    int updateByPrimaryKey(EasEduCategory record);
}